import SwaggerParser from '@apidevtools/swagger-parser';
import { AllSwaggerDocumentVersions, Options } from './types';
/**
 * Replace all $refs with their values,
 * except model definitions as these have their own section in the result md document
 *
 * @export
 * @param {AllSwaggerDocumentVersions} node
 * @param {SwaggerParser.$Refs} [$refs]
 * @return {*}  {AllSwaggerDocumentVersions}
 */
export declare function partiallyDereference(node: AllSwaggerDocumentVersions, $refs?: SwaggerParser.$Refs): AllSwaggerDocumentVersions;
/**
 * Check version of the document,
 * run appropriate processor and beautify the markdown after processing.
 *
 * @export
 * @param {AllSwaggerDocumentVersions} inputDoc
 * @param {Options} options
 * @return {*}  {string}
 */
export declare function transfromSwagger(inputDoc: AllSwaggerDocumentVersions, options: Options): string;
/**
 * @export
 * @param {Options} options
 * @return {*}  {Promise<string>}
 */
export declare function transformFile(options: Options): Promise<string>;
