"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isV31Document = exports.isV3Document = exports.isV2Document = void 0;
function isV2Document(document) {
    if (('swagger' in document)) {
        const [major] = document.swagger.split(/\./);
        return major === '2';
    }
    return false;
}
exports.isV2Document = isV2Document;
function isV3Document(document) {
    if ('openapi' in document) {
        const [major] = document.openapi.split(/\./);
        return major === '3';
    }
    return false;
}
exports.isV3Document = isV3Document;
function isV31Document(document) {
    if ('openapi' in document) {
        const [major, minor] = document.openapi.split(/\./);
        return major === '3' && minor === '1';
    }
    return false;
}
exports.isV31Document = isV31Document;
