"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Markdown = void 0;
const mdstring_1 = require("./mdstring");
const mdtable_1 = require("./mdtable");
class Markdown {
    constructor() {
        this.doc = [];
    }
    get length() {
        return this.doc.length;
    }
    static md() {
        return new Markdown();
    }
    string(string) {
        return mdstring_1.MDstring.string(string);
    }
    table() {
        return mdtable_1.MDtable.table();
    }
    line(...strings) {
        if (strings && strings.length > 0) {
            this.doc.push(strings.map((d) => (typeof d === 'string' ? d : d.get())).join(''));
        }
        else {
            this.doc.push('');
        }
        return this;
    }
    export() {
        if (!this.length) {
            return null;
        }
        return `${this.doc.join('\n')}\n`;
    }
}
exports.Markdown = Markdown;
