/**
 * Helper class to create and format markdown strings
 *
 * @export
 * @class MDstring
 */
export declare class MDstring {
    private _string;
    static string(string?: string): MDstring;
    constructor(string?: string);
    get length(): number;
    get(): string;
    /**
     * Synonym for this.get()
     */
    toString(): string;
    set(string: string): void;
    bold(): MDstring;
    italic(): MDstring;
    link(anchor: string, href: string): MDstring;
    h1(): MDstring;
    h2(): MDstring;
    h3(): MDstring;
    h4(): MDstring;
    h5(): MDstring;
    h6(): MDstring;
    strikethrough(): MDstring;
    horizontalRule(): MDstring;
    br(asHtmlTag?: boolean): MDstring;
    escape(): MDstring;
    concat(string: string | MDstring): MDstring;
}
