"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagsCollection = void 0;
class TagsCollection {
    constructor() {
        this.tags = {};
    }
    get length() {
        return Object.keys(this.tags).length;
    }
    tag(tag) {
        if (!('name' in tag)) {
            throw new Error('Tag must have name property');
        }
        this.tags[tag.name] = tag;
        return this;
    }
    getTag(name) {
        if (name in this.tags) {
            return this.tags[name];
        }
        return null;
    }
}
exports.TagsCollection = TagsCollection;
