"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformContact = void 0;
const markdown_1 = require("../../lib/markdown");
/**
 * http://swagger.io/specification/#contactObject
 * Contact info transformer
 */
function transformContact(contact) {
    const md = markdown_1.Markdown.md();
    if (Object.keys(contact).some((item) => ['name', 'url', 'email'].includes(item))) {
        md.line(md.string('Contact information:').bold().br());
        if ('name' in contact) {
            md.line(md.string(contact.name).escape().br());
        }
        if ('url' in contact) {
            md.line(md.string(contact.url).escape().br());
        }
        if ('email' in contact) {
            md.line(md.string(contact.email).escape().br());
        }
    }
    return md.export();
}
exports.transformContact = transformContact;
