"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformExternalDocs = void 0;
const markdown_1 = require("../../lib/markdown");
const DEFAULT_TEXT = 'Find more info here';
/**
 * https://swagger.io/specification/v2/#externalDocumentationObject
 */
function transformExternalDocs(externalDocs) {
    const md = markdown_1.Markdown.md();
    if ('url' in externalDocs) {
        md.line(md.string().link(externalDocs.description || DEFAULT_TEXT, externalDocs.url));
    }
    return md.export();
}
exports.transformExternalDocs = transformExternalDocs;
