"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformLicense = void 0;
const markdown_1 = require("../../lib/markdown");
/**
 * http://swagger.io/specification/#licenseObject
 * License object transformer
 */
function transformLicense(license) {
    const md = markdown_1.Markdown.md();
    if ('url' in license || 'name' in license) {
        const licenseDocument = md.string('License:').bold();
        let url;
        if ('url' in license && 'name' in license) {
            url = md.string().link(license.name, license.url);
        }
        else {
            url = md.string(license.name || license.url);
        }
        md.line(licenseDocument, ' ', url);
    }
    return md.export();
}
exports.transformLicense = transformLicense;
